Bug 201954 - New port: net-p2p/go-ethereum Go implementation of the Ethereum protocol
Summary: New port: net-p2p/go-ethereum Go implementation of the Ethereum protocol
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-07-29 00:02 UTC by Enrique Fynn
Modified: 2016-04-30 18:40 UTC (History)
2 users (show)

See Also:


Attachments
just installs geth (14.81 KB, application/x-shar)
2015-07-29 00:02 UTC, Enrique Fynn
no flags Details
shar (3.81 KB, application/x-shar)
2015-07-29 19:10 UTC, Enrique Fynn
no flags Details
shar (2.99 KB, text/plain)
2015-08-12 16:50 UTC, Enrique Fynn
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Enrique Fynn 2015-07-29 00:02:18 UTC
Created attachment 159350 [details]
just installs geth

Ethereum is a community-driven project aiming to decentralize the internet and
return it to its democratic roots. It is a platform for building and running
applications which do not need to rely on trust and cannot be controlled by
any central authority.

This is the Go implementation of Ethereum y/w paper

Currently, this port just installs geth.
Comment 1 Enrique Fynn 2015-07-29 19:10:48 UTC
Created attachment 159370 [details]
shar

Options to install:

bootnode: runs a bootstrap node for the Discovery Protocol
ethtest: test tool which runs with the tests suite
evm: is a generic Ethereum Virtual Machine
disasm: disassembles EVM code
rlpdump: prints RLP structures
Comment 2 Enrique Fynn 2015-08-12 16:50:58 UTC
Created attachment 159806 [details]
shar

Patches merged into github account in version 1.0.1
Comment 3 commit-hook freebsd_committer 2016-04-30 18:38:06 UTC
A commit references this bug:

Author: pi
Date: Sat Apr 30 18:37:52 UTC 2016
New revision: 414354
URL: https://svnweb.freebsd.org/changeset/ports/414354

Log:
  New port: net-p2p/go-ethereum

  Ethereum is a community-driven project aiming to decentralize the internet and
  return it to its democratic roots. It is a platform for building and running
  applications which do not need to rely on trust and cannot be controlled by
  any central authority.

  This is the Go implementation of Ethereum y/w paper

  WWW: https://github.com/ethereum/go-ethereum

  PR:		201954
  Submitted by:	enriquefynn@gmail.com

Changes:
  head/net-p2p/Makefile
  head/net-p2p/go-ethereum/
  head/net-p2p/go-ethereum/Makefile
  head/net-p2p/go-ethereum/distinfo
  head/net-p2p/go-ethereum/pkg-descr
  head/net-p2p/go-ethereum/pkg-plist
Comment 4 Kurt Jaeger freebsd_committer 2016-04-30 18:40:24 UTC
Testbuilds of 1.3.6 are fine, committed, thanks! And sorry for the long delay in getting this into the tree.